> This page is for Schema Service, version v3 (latest) (default).
> For other versions, use one of these documentation indexes:
> - v3 (latest) (default): https://autodesk.ferndocs.com/schema/schema-service/v3/llms.txt
> - v2: https://autodesk.ferndocs.com/schema/schema-service/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://autodesk.ferndocs.com/schema/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://autodesk.ferndocs.com/schema/_mcp/server.

# Create a Tag Collection

POST https://developer-stg.api.autodesk.com/schema/v3/tag-collections
Content-Type: application/json

Creates a new Tag Collection. 

A Tag Collection is a container of tags. When you create tags, you must specify what Tag Collection they are part of. There is no permission needed to create a Tag Collection.

**Note:** When you create a Tag Collection, the system automatically creates a "default" Tag Category for it. When you create Tags, if you don't specify what Tag Category they belong to, they are automatically assigned to the default category.

Reference: https://autodesk.ferndocs.com/schema/schema-service/api-reference/tags-api/tag-collections/create-new-tag-collection

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://developer-stg.api.autodesk.com/schema/v3` (The URL for Staging environment, default)
- `https://developer-dev.api.autodesk.com/schema/v3` (The URL for Development environment)
- `https://developer.api.autodesk.com/schema/v3` (The URL for Production environment)

## Request

### Headers

- `Region` (enum, optional, default: US) — The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values: - ``US`` - (Default) All requests without a specified region header will be directed to the US region. - ``EMEA`` - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header "region: EMEA" in your API requests.
  - Allowed values: `US`, `EMEA`

### Body (application/json)

This endpoint expects a TagCollectionRequest.

- `externalId` (string, optional) — Human friendly title as ``externalId`` label.
- `name` (string, optional) — A human readable name to identify the Tag Collection. Can only contain alphanumeric characters. Minimum length is two characters.

## Response

### 200

The Tag Collection was sucessfully created.

- `id` (long, optional) — A system-generated ID that uniquely identifies the Tag Collection.
- `externalId` (string, optional) — Human friendly title as ``externalId`` label.
- `name` (string, optional) — A human readable name to identify the Tag Collection. Can only contain alphanumeric characters. Minimum length is two characters.
- `createdBy` (string, optional) — If a three-legged access token was used to create the Tag Collection, contains the Autodesk ID (Oxygen ID) of the person who created the Tag Collection. If a two-legged access token was used to create the Tag Collection, contains the Client ID of the app that created the Tag Collection.
- `createTime` (datetime, optional) — A TimeISO 8601 Timestamp in UTC Timezone indicating when the Tag Collection was created.
- `lastModifiedBy` (string, optional) — If a three-legged access token was used to modify the Tag Collection, contains the Autodesk ID (Oxygen ID) of the person who last modified the Tag Collection. If a two-legged access token was used to modify the Tag Collection, contains the Client ID of the app that modified the Tag Collection.
- `lastModifiedTime` (datetime, optional) — A TimeISO 8601 Timestamp in UTC Timezone, indicating when the Tag Collection was last modified.

## Errors

### 400 Bad Request Error

The Autodesk Schema Registry was not able to decipher your request. Check the request body for malformed request syntax or invalid request message framing before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 401 Unauthorized Error

The request did not have a valid access token. Obtain a fresh access token and try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 403 Forbidden Error

You do not have permission to perform the operation specified by the request. Contact your LIBRARY_ADMIN and resolve any permission issues before trying this request again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 429 Too Many Requests Error

You have exceeded the Rate Limit for the requested resource. Check the ``retry-after`` response header and send the request again, after the specified time period has elapsed.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

## Types

### ErrorDetail

Error response model according to the APS standard

- `type` (string, optional) — Specifies the type of the error that occured.
- `title` (string, optional) — Contains a summary of the error.
- `detail` (string, optional) — Contains a detailed description of the error that occured, and sometimes, tips on how to fix the error.

## Examples

**Request**

```json
{
  "name": "My Private Organization",
  "tagCollectionId": "test.sandbox.namespace"
}
```

**Response**

```json
{
  "id": 1,
  "name": "My Private Organization",
  "createdBy": "BQ6UMP8XQHSX",
  "createTime": "2018-07-18T09:46:33Z",
  "lastModifiedBy": "BQ6UMP8XQHSX",
  "lastModifiedTime": "2018-07-19T08:56:16Z",
  "tagCollectionId": "ABC123DEF4567"
}
```

**SDK Code**

```python Standard
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections"

payload = {
    "name": "My Private Organization",
    "tagCollectionId": "test.sandbox.namespace"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Standard
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"My Private Organization","tagCollectionId":"test.sandbox.namespace"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Standard
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections"

	payload := strings.NewReader("{\n  \"name\": \"My Private Organization\",\n  \"tagCollectionId\": \"test.sandbox.namespace\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Standard
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"My Private Organization\",\n  \"tagCollectionId\": \"test.sandbox.namespace\"\n}"

response = http.request(request)
puts response.read_body
```

```java Standard
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://developer-stg.api.autodesk.com/schema/v3/tag-collections")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"My Private Organization\",\n  \"tagCollectionId\": \"test.sandbox.namespace\"\n}")
  .asString();
```

```php Standard
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections', [
  'body' => '{
  "name": "My Private Organization",
  "tagCollectionId": "test.sandbox.namespace"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Standard
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"My Private Organization\",\n  \"tagCollectionId\": \"test.sandbox.namespace\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Standard
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "My Private Organization",
  "tagCollectionId": "test.sandbox.namespace"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```